Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class CompiledCSSResource

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.richfaces.resource.CompiledCSSResource

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

    public class CompiledCSSResource

extends AbstractCacheableResource
implements org.richfaces.resource.StateHolderResource

Author:
  amarkhel Class, that represented dynamic CSS resource.

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`CompiledCSSResource(javax.faces.application.Resource sourceResource)`

Method Summary
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getLibraryName()`
`java.io.InputStream` | `getResourceInputStream()`
`java.lang.String` | `getResourceName()`
`boolean` | `isTransient()`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `setLibraryName(java.lang.String libraryName)`
`void` | `setResourceName(java.lang.String resourceName)`
`boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`setContentType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompiledCSSResource

    public CompiledCSSResource(javax.faces.application.Resource sourceResource)

Method Detail

### getLibraryName

    public java.lang.String getLibraryName()

  Overrides:
    `getLibraryName` in class `javax.faces.application.Resource`

### setLibraryName

    public void setLibraryName(java.lang.String libraryName)

  Overrides:
    `setLibraryName` in class `javax.faces.application.Resource`

### getResourceName

    public java.lang.String getResourceName()

  Overrides:
    `getResourceName` in class `javax.faces.application.Resource`

### setResourceName

    public void setResourceName(java.lang.String resourceName)

  Overrides:
    `setResourceName` in class `javax.faces.application.Resource`

### getResourceInputStream

    public java.io.InputStream getResourceInputStream()
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in class `javax.faces.application.Resource`
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Overrides:
    `getContentType` in class `javax.faces.application.Resource`

### userAgentNeedsUpdate

    public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

  Overrides:
    `userAgentNeedsUpdate` in class `AbstractCacheableResource`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.